Bug 16029 - Do not show patron toolbar when showing the "patron does not exist" message
Summary: Do not show patron toolbar when showing the "patron does not exist" message
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL: /cgi-bin/koha/members/moremember.pl?b...
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-09 16:08 UTC by Owen Leonard
Modified: 2016-12-05 21:25 UTC (History)
6 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16029: Hide patron toolbar if patron does not exist (1.76 KB, patch)
2016-03-13 23:43 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 16029: Hide patron toolbar if patron does not exist (1.93 KB, patch)
2016-03-15 16:20 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16029: Hide patron toolbar if patron does not exist (1.99 KB, patch)
2016-03-16 09:38 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-03-09 16:08:45 UTC
If you happen to try to view the details of a patron record which no longer exists you will see a "This patron does not exist." message. This page should not also show the patron toolbar (Edit, Change password, etc.) because none of those functions will work.
Comment 1 Aleisha Amohia 2016-03-13 23:43:22 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-03-15 16:20:20 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-03-16 09:38:33 UTC
Created attachment 49204 [details] [review]
Bug 16029: Hide patron toolbar if patron does not exist

To test:
1) Create a patron, take note of the borrower number
2) Delete the patron
3) Navigate to the page of the patron you just deleted by typing the url (ie /cgi-bin/koha/members/moremember.pl?borrowernumber=X)
4) Confirm that the patron toolbar is not showing on the page
5) The message now has a link that says 'Find another patron?'. Click this link and confirm you are taken to the member home pgae.

Sponsored-by: Catalyst IT

Followed test plan, works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2016-03-16 10:07:00 UTC
See similar patch for circulation.pl on bug 16082
Comment 5 Brendan Gallagher 2016-03-22 00:57:27 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!
Comment 6 Julian Maurice 2016-04-08 05:52:09 UTC
Patch pushed to 3.22.x, will be in 3.22.6
Comment 7 Frédéric Demians 2016-04-27 15:34:22 UTC
Pushed to 3.22.x, will be in 3.20.11.